
CoCoA-5 - Bug #994

SEGV: Toric example from Kazuki Maeda

09 Jan 2017 13:28 - John Abbott

Status: Closed Start date: 09 Jan 2017

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 6.01 hours

Target version: CoCoA-5.2.0 spring 2017 Spent time: 5.10 hours

Description

2017 is starting well... :-/

Kazuke Maeda reports the following SEGV problem:

The following repeated computation eventually causes SEGV

Use R::=QQ[x[1..21]];

S:=[[1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0],

    [0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0],

    [0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0],

    [1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0],

    [0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0],

    [0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 1],

    [0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 1, 1]];

For I:=1 To 1000 Do

    PrintLn I;

    T:=toric(S);

EndFor;

 

On Linux 64-bit the SEGV happens after 56 iters.

On my MacBook it happens after 33 iters.

Kazuki says that 122 iters are needed on M$ Windoze.

History

#1 - 09 Jan 2017 13:32 - John Abbott

JAA has confirmed the bug (using current internal CVS version).

Marked as urgent because it triggers SEGV, and we hope to release a new version very soon.

I have placed this under CoCoA-5 rather than CoCoALib because it was reported by a CoCoA-5 user (with aCoCoA-5 example triggering the

problem).  JAA strongly suspects that the problem actually lies in Anna's old "toric" code; though it is strange that the problem has not arisen before.

We should email Kazuki when the bug has been corrected (hopefully soon!)

#2 - 09 Jan 2017 13:36 - John Abbott

I'm trying to compile CoCoA-5.1.5 on my netbook (after a clean reinstall of the system).

To my surprise BOOST installation failed very fast... there was no C compiler!  8-O

Luckily EduRoam was cooperative today, so I could install the compiler (and then BOOST without having to compile it).

Next surprise: I wanted to compile GMP with C++ extension (this involved installing m4 for configuration), but compilation failed... there was no make

command!  8-O
#3 - 09 Jan 2017 17:34 - Anna Maria Bigatti

investigating.

On my Mac 33.

#4 - 10 Jan 2017 19:43 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 10

reduced to

use R ::= ZZ/(2)[x[1..12]];

J := ideal(

 x[4]*x[10] +x[3]*x[11],

 x[4]*x[10] +x[2]*x[12],

 x[4]*x[6]*x[10] +x[3]*x[5]*x[12],

 x[3]^2*x[5]*x[9] +x[1]*x[4]*x[6]*x[10],

 x[3]*x[9] +x[1]*x[12],

 x[8]*x[10] +x[7]*x[11]

       );

toric(J);

#5 - 29 Mar 2017 16:48 - Anna Maria Bigatti

- % Done changed from 10 to 90

- Estimated time set to 6.01 h

definitively a bug: "n" instead of "Indices[n]" in the preprocessing.

Obviously a very rare case.

#6 - 29 Mar 2017 16:49 - Anna Maria Bigatti

- Status changed from New to Feedback

#7 - 07 Apr 2017 09:48 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
